Skip to main content
DELETE
Delete a counter party

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
counterPartyId
string
required

Public ID of the counter party (prefixed with cpty_)

Response

Counter party deactivated successfully. The counter party is now inactive.

A counter party.

id
string

Public ID of the counter party (prefixed with cpty_).

Example:

"cpty_7dLpR2mNpXwZ7bV1aQz3x"

userId
string

Public ID of the user this counter party belongs to (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

type
enum<string>
Available options:
INDIVIDUAL,
BUSINESS
Example:

"INDIVIDUAL"

category
string

Business category. Present for business counter parties.

Example:

"software"

firstName
string

Present for individual counter parties.

Example:

"Jane"

lastName
string

Present for individual counter parties.

Example:

"Doe"

businessName
string

Present for business counter parties.

Example:

"Acme Corp"

phoneNumber
string
Example:

"+14155552671"

email
string<email>
Example:

"jane.doe@example.com"

taxId
string

Tax identification number.

Example:

"123-45-6789"

dateOfBirth
string<date> | null

Date of birth. Present for individual counter parties.

Example:

"1990-01-15"

incorporationDate
string<date> | null

Date of incorporation. Present for business counter parties.

Example:

"2015-06-01"

nationality
string

ISO 3166-1 alpha-3 country code. Present for individual counter parties.

Example:

"USA"

address
object

Address of the counter party.

status
enum<string>
Available options:
ACTIVE,
INACTIVE
Example:

"ACTIVE"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"